# $Revision: 1.11 $, $Date: 2005/01/09 19:24:10 $
%define		pname	rssgrab
Summary:	RSS/RDF contents viewer
Summary(pl):	Przegldarka treci RSS/RDF
Name:		gDesklets-%{pname}
Version:	0.6.4
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/%{pname}-%{version}.tar.gz
# Source0-md5:	48a16405abd3c796a259d4d4c4d1a0b0
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=101
BuildRequires:	python >= 1:2.3
BuildRequires:	python-pygtk-gtk >= 1.99.18
Requires:	gDesklets
Requires:	gDesklets-PsiSensorPackage
Requires:	gDesklets-DisplayConstraints
%pyrequires_eq	python-libs
Provides:	gDesklets-display
Provides:	gDesklets-sensor
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
This desklet allows you to view the contents of an RSS/RDF feed.

%description -l pl
Ten desklet pozwala przeglda informacje w formacie RSS/RDF.

%prep
%setup -q -n %{pname}-%{version}
chmod u+w gfx/bg

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir},%{_displaysdir}/%{pname}}

./Install_%{pname}_Sensor.bin --nomsg \
	$RPM_BUILD_ROOT%{_sensorsdir}

cp -R gfx *.display $RPM_BUILD_ROOT%{_displaysdir}/%{pname}

%py_comp $RPM_BUILD_ROOT%{_sensorsdir}
%py_ocomp $RPM_BUILD_ROOT%{_sensorsdir}

rm -f $RPM_BUILD_ROOT%{_sensorsdir}/*/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_sensorsdir}/*
%{_displaysdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-rssgrab.spec,v $
Revision 1.11  2005/01/09 19:24:10  saq
- make bg dir removable in %%clean
- rel 3

Revision 1.10  2005/01/09 18:23:53  saq
- missing BR epoch and pyreqeq, rel 2

Revision 1.9  2004/11/03 13:37:11  paladine
- formatting

Revision 1.8  2004/09/10 21:17:59  grzegol
- updated to 0.6.4

Revision 1.7  2004/08/25 21:21:53  grzegol
- updated to 0.6.3

Revision 1.6  2004/07/23 22:19:26  grzegol
- (B)R: python-pygtk-gtk instead of python-pygtk
- rel. 2

Revision 1.5  2004/05/28 21:37:02  grzegol
- updated to 0.6.2

Revision 1.4  2004/05/23 21:10:10  grzegol
- updated to 0.6.1

Revision 1.3  2004/04/21 12:18:17  grzegol
- updated to 0.6

Revision 1.2  2004/02/11 21:26:19  qboosh
- typo, pl cosmetics

Revision 1.1  2004/02/11 21:08:54  grzegol
- new
